Registration
Before using the Facial Validation API feature, it is necessary to register the client. This action will generate an initial entry in the database that will provide an image to be used as a base during validation.
Object Definition
Request Body
{
"registration_key": "ee37510e-4dfe-4b9c-b1f4-667288de2190",
"document_number": "123.456.789-00",
"image": {
"image_key": "f1c0d2e1-f950-4360-896d-36588e443fc9",
"file_size": 47407,
"width_px": 0,
"height_px": 0,
"created_at": "2020-07-29T18:40:57Z"
},
"status": "indeterminate",
"registration_status_events": [],
"registration_date": "2020-07-29T18:40:57Z"
}
When registering a client, our API will generate a JSON object containing all information related to this registration. This object will be used as a reference when performing facial recognition of this client before a transaction.
| name | type | description |
|---|---|---|
| registration_key | string | Registration object key |
| document_number | string | Client's CPF |
| image | image | Object that carries the properties of the image sent in registration |
| status | string | Client registration status |
| registration_status_events | registration_status_events | Object that carries the registration status modification history |
| registration_date | datetime | Registration date in UTC |
Status Dynamics - status
Once a client is registered, the status of this registration will be returned under the status flag. The possible results are:
| Result | Description |
|---|---|
| authentic | This registration has a history of successfully completed transactions |
| undefined | This registration has no fraud history nor history of successfully completed transactions |
| fraud | This registration has associated fraud history |